<template>
  <GI18nCard
    i18n="d_si.constant.title"
    :level="level"
    :card="card"
    :optional="optional"
    :wiki-entry="wikiEntry"
    @deleteElement="$emit('delete')"
  >
    <v-row dense>
      <GCol cols="12">
        <XmlTextField v-model="value.label" i18n="d_si.constant.label" />
      </GCol>
      <GCol cols="12" md="6">
        <XmlTextField
          v-model="value.value"
          i18n="d_si.constant.value"
          validate="required decimal"
          ns="si"
        />
      </GCol>
      <GCol cols="12" md="6">
        <XmlTextField
          v-model="value.unit"
          i18n="d_si.constant.unit"
          validate="required dsiUnit"
          ns="si"
        />
      </GCol>
      <GCol cols="12">
        <XmlTextField
          v-model="value.dateTime"
          i18n="d_si.constant.datetime"
          validate="dateTime"
          ns="si"
        />
      </GCol>
    </v-row>
  </GI18nCard>
</template>

<script>
import XmlTextField from "../App/Form/XML/XmlTextField";
import GI18nCard from "~/components/App/Common/GI18nCard";
import GCol from "~/components/App/Common/GCol";

export default {
  name: "Constant",
  components: {
    GCol,
    GI18nCard,
    XmlTextField,
  },
  props: {
    value: Object,
    card: Boolean,
    level: String,
    optional: {
      type: Boolean,
      default: false,
    },
    wikiEntry: {
      type: String,
      default: "dsi",
    },
  },
};
</script>
